#include<bits/stdc++.h>
using namespace std;

int main(){
    ios::sync_with_stdio(false);
    int n;
    cin>>n;

    vector<long long> x(n),y(n),r(n);
    for(int i=0;i<n;i++){
        cin>>x[i]>>y[i]>>r[i];
    }

    vector grafo(n,vector<int>());
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if(i==j)continue;
            if((x[i]-x[j])*(x[i]-x[j])+(y[i]-y[j])*(y[i]-y[j])==(r[i]+r[j])*(r[i]+r[j])){
                grafo[i].push_back(j);
            }
        }
    }

    array<int,2> cont;
    bool ok;
    vector<bool> vis(n);
    vector<int> col(n,0);

    auto dfs = [&](auto &dfs,int nodo,int mode){
        if(vis[nodo]){
            if(col[nodo]!=mode){
                ok=false;
            }
            return;
        }
        
        //cout<<"nodo "<<nodo<<" "<<mode<<"\n";
        vis[nodo]=true;
        cont[mode]++;
        col[nodo]=mode;

        for(auto i : grafo[nodo]){
            dfs(dfs,i,mode^1);
        }
    };

    for(int i=0;i<n;i++){
        if(!vis[i]){
            //cout<<"visito "<<i<<"\n";
            cont[0]=cont[1]=0;
            ok=true;
            dfs(dfs,i,0);
            //cout<<ok<<" "<<cont[0]<<" "<<cont[1]<<"\n";
            if(ok && cont[0]!=cont[1]){
                cout<<"YES\n";
                return 0;
            }
        }
    }
    cout<<"NO\n";

}