#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

void solve() {
    int N;
    cin >> N;

    vector<ll> A(N), B(N);
    for (int i = 0; i < N; i++) {
        cin >> A[i];
    }
    for (int i = 0; i < N; i++) {
        cin >> B[i];
    }

    sort(A.begin(), A.end());
    sort(B.begin(), B.end());

    ll res = 0;
    for (int i = 0; i < N; i++) {
        ll m = 1e18;
        for (int j = 0; j < N; j++) {
            m = min(m, abs(A[j] - B[(i + j) % N]));
        }
        res = max(res, m);
    }

    cout << res << '\n';
}

int main() {
    ios::sync_with_stdio(false);

    int T;
    cin >> T;

    for (int i = 1; i <= T; i++) {
        solve();
    }

    return 0;
}
