#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
constexpr int OPPICK = 5000;
constexpr int OPDROP = 5001;

int N;
string lessons, professors;

vector<int> cm, mc;
vector<int> dm, md;
vector<int> dc, cd;

struct viter {
    int pos, rem;
    const int *data;
    char first, second;
    viter(const vector<int> &v, char f, char s) {
        pos = 0;
        rem = v.size();
        data = v.data();
        first = f;
        second = s;
    }
    int value() const {
        return data[pos];
    }
    void next() {
        pos++;
        rem--;
    }
    /*
    void debug() {
        cerr << "D: " << first << second << ": ";
        for(int i=pos; i<rem; i++)
            cerr << ' ' << data[i];
        cerr << '\n';
    }
    */
};

int drive(int x) { return x; }
int pickup() { return OPPICK; }
int dropoff() { return OPDROP; }

vector<int> ans;
bool check(viter mc, viter cm, viter dm, viter dc, viter md, viter cd) {
    char carico = '-';
    const auto visit = [&carico](viter &v) {
        // cerr << "visit: " << v.value() << " e il carico e " << carico << '\n';
        ans.push_back(drive(v.value()));
        v.next();
        if (carico != '-') {
            assert(v.first == '-' || carico == v.first);
            ans.push_back(dropoff());
            carico = '-';
        }
        if (v.second != '-') {
            ans.push_back(pickup());
            carico = v.second;
    cerr << "carico e " << carico << '\n';
        }
    };

    if(dm.rem <= 0)
        return false;
    visit(dm);
    while(mc.rem > 0 && cm.rem > 0) {
        visit(mc);
        visit(cm);
    }

    // cm è finito
    if (cm.rem <= 0) {
        while(mc.rem > 0) {
            visit(mc);
            if(mc.rem == 0)
                break;
            if(cd.rem > 0)
                visit(cd);
            if(dm.rem <= 0)
                return false;
            visit(dm);
        }
    }
    // mc è finito
    if (mc.rem <= 0) {
        while(cm.rem > 0) {
            if(md.rem > 0)
                visit(md);
            if(dc.rem <= 0)
                return false;
            visit(dc);
            visit(cm);
        }
    }

    if(carico == 'M' && md.rem > 0)
        visit(md);
    if(carico == 'C' && cd.rem > 0)
        visit(cd);
    while(md.rem > 0) {
        if(dm.rem <= 0)
            return false;
        visit(dm);
        visit(md);
    }
    while(cd.rem > 0) {
        if(dc.rem <= 0)
            return false;
        visit(dc);
        visit(cd);
    }
    assert(mc.rem == 0 && cm.rem == 0 && md.rem == 0 && cd.rem == 0);
    return true;
}

void print_ans() {
    cout << ans.size() << '\n';
    for(const int a: ans) {
        if(a == OPPICK)
            cout << "PICKUP\n";
        else if(a == OPDROP)
            cout << "DROPOFF\n";
        else
            cout << "DRIVE " << a+1 << '\n';
    }
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);

    cin >> N >> lessons >> professors;
    for(int i=0; i<N; i++) {
        if(lessons[i] == 'C' && professors[i] == 'M')
            cm.push_back(i);
        else if (lessons[i] == 'M' && professors[i] == 'C')
            mc.push_back(i);
        else if (lessons[i] == '-' && professors[i] == 'M')
            dm.push_back(i);
        else if (lessons[i] == 'M' && professors[i] == '-')
            md.push_back(i);
        else if (lessons[i] == '-' && professors[i] == 'C')
            dc.push_back(i);
        else if (lessons[i] == 'C' && professors[i] == '-')
            cd.push_back(i);
    }

    if (check(viter(mc, 'M', 'C'), viter(cm, 'C', 'M'),
              viter(dm, '-', 'M'), viter(dc, '-', 'C'),
              viter(md, 'M', '-'), viter(cd, 'C', '-')))
    {
        print_ans();
        return 0;
    }
    ans.clear();


    cm.clear();
    mc.clear();
    dm.clear();
    md.clear();
    dc.clear();
    cd.clear();
    for(int i=0; i<N; i++) {
        if(lessons[i] == 'C' && professors[i] == 'M')
            mc.push_back(i);
        else if (lessons[i] == 'M' && professors[i] == 'C')
            cm.push_back(i);
        else if (lessons[i] == '-' && professors[i] == 'M')
            dc.push_back(i);
        else if (lessons[i] == 'M' && professors[i] == '-')
            cd.push_back(i);
        else if (lessons[i] == '-' && professors[i] == 'C')
            dm.push_back(i);
        else if (lessons[i] == 'C' && professors[i] == '-')
            md.push_back(i);
    }

    /*
    if (check(viter(cm, 'C', 'M'), viter(mc, 'M', 'C'),
                   viter(dc, '-', 'C'), viter(dm, '-', 'M'),
                   viter(cd, 'C', '-'), viter(md, 'M', '-')))
    {
        print_ans();
        return 0;
    }
    */

    if (check(viter(mc, 'M', 'C'), viter(cm, 'C', 'M'),
              viter(dm, '-', 'M'), viter(dc, '-', 'C'),
              viter(md, 'M', '-'), viter(cd, 'C', '-')))
    {
        print_ans();
        return 0;
    }
    ans.clear();
    cout << "0\n";
    return 0;
}